GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

ISSUE when delivering .ipa to App Store

When I’m delivering my app’s IPA these to errors come out. I already have 512x512 icon with no transparency and am uploading from the newest version of GameSalad that I downloaded today, just to make sure. I'm using iMAC, Yosemite, 10.10.5... What can it possibly be? Armelline was helping me upload it and even he couldn’t decipher it…. any ideas?

• ERROR ITMS-90596: "Invalid Bundle. The asset catalog at 'Payload/Yellow Cape.app/Assets.car' can't be read. Try rebuilding the app with a non-beta version of Xcode and submit it again."

• The resulting API analysis file is too large. We were unable to validate your API usage prior to delivery. This is just an informational message.

Comments

  • Cutscene EntertainmentCutscene Entertainment Posts: 119Member, PRO
    edited June 9


    Hello SimpleGamerArts,
    I’m sorry you are having this problem. If I understand you correctly, the two errors which you are encountering are both appearing during the Xcode exporting process.
    First off, I can assure you that your second issue regarding the API analysis file is not an issue at all. It is quite literally "just an informational message." You can disregard that.
    Your first issue, however, regarding the Invalid Bundle, is most likely an issue with your current version of Xcode. It appears you may be running a beta version of the software, which would prevent you from properly exporting your app.
    I recommend you verify what version of Xcode you are using, and if possible, make sure you download the latest version from their website. Check with the Xcode forums and community for any common issues regarding beta versions of Xcode and how to identify and avoid them in the future. If any other questions arise, please feel free to contact the Gamesalad Support team.

  • Simple Gamer ArtsSimple Gamer Arts Posts: 219Member, PRO

    @Cutscene Entertainment Thanks a lot I appreciate that!

    I'd already resolve this issue with Armelline and it came down to what you said, so yes, you hit it right on the nail!

    I use Mac and was on Yosemite, so I had to upgrade to Sierra in order to upgrade my Xcode to 9.2... that resolved everything!

  • Cutscene EntertainmentCutscene Entertainment Posts: 119Member, PRO

    @Simple Gamer Arts said:
    @Cutscene Entertainment Thanks a lot I appreciate that!

    I'd already resolve this issue with Armelline and it came down to what you said, so yes, you hit it right on the nail!

    I use Mac and was on Yosemite, so I had to upgrade to Sierra in order to upgrade my Xcode to 9.2... that resolved everything!


    That is excellent to hear! I'm glad everything worked out for you. ;)

  • Simple Gamer ArtsSimple Gamer Arts Posts: 219Member, PRO
Sign In or Register to comment.